summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-04-22 21:33:42 +0200
committerPacho Ramos <pacho@gentoo.org>2018-04-22 21:40:03 +0200
commit5bae6e617440b35d4ae7b2e5bd2ba6f4b99cdcaa (patch)
treeee2fed55be8a32c3fb6bd4fecac5093ae693045f /games-engines
parentgames-arcade/orthorobot: Drop old (diff)
downloadgentoo-5bae6e617440b35d4ae7b2e5bd2ba6f4b99cdcaa.tar.gz
gentoo-5bae6e617440b35d4ae7b2e5bd2ba6f4b99cdcaa.tar.bz2
gentoo-5bae6e617440b35d4ae7b2e5bd2ba6f4b99cdcaa.zip
games-engines/love: Stop using games.eclass
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Diffstat (limited to 'games-engines')
-rw-r--r--games-engines/love/love-0.7.2-r2.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/games-engines/love/love-0.7.2-r2.ebuild b/games-engines/love/love-0.7.2-r2.ebuild
new file mode 100644
index 00000000000..e29f78d0863
--- /dev/null
+++ b/games-engines/love/love-0.7.2-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A framework for 2D games in Lua"
+HOMEPAGE="http://love2d.org/"
+SRC_URI="https://www.bitbucket.org/rude/${PN}/downloads/${P}-linux-src.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0.7"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-games/physfs
+ dev-lang/lua:0[deprecated]
+ media-libs/devil[mng,png,tiff]
+ media-libs/freetype:2
+ media-libs/libmodplug
+ media-libs/libsdl[joystick,opengl]
+ media-libs/libvorbis
+ media-libs/openal
+ media-sound/mpg123
+ virtual/opengl
+"
+DEPEND="${RDEPEND}
+ media-libs/libmng:0
+ media-libs/tiff:0
+"
+
+S="${WORKDIR}/${PN}-HEAD"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.8.0-freetype2.patch )
+
+src_install() {
+ DOCS="readme.txt changes.txt" \
+ default
+
+ mv "${ED}/usr/bin/${PN}" "${ED}/usr/bin/${PN}-${SLOT}" || die
+}